Policies
GET
/v1/policies/{tenant_id}/{app_id}/{agent_id}/{env}/historyGet Version History
Get version history for a policy scope. **Query Parameters**: - `unified`: If true, return unified history across all agents (agent_id in URL is ignored) - `limit`: Maximum number of versions to return (default: 50) **Returns**: - List of versions ordered by version_number (descending) - Indicates which version is currently active
Bearer token or X-API-Keyscope: org memberoperation_id: policies.history
Authentication
Send either Authorization: Bearer <token> or X-API-Key: <token>. Any org token with sufficient scope. Create tokens from the console or the /v1/orgs/{org_id}/tokens endpoints. Requests without a valid credential are rejected with 401.
SDK install
pip install znyx-sdknpm install @znyx/sdkCode samples
Request
curl -X GET "$ZNYX_API_URL/v1/policies/00000000-0000-0000-0000-000000000000/00000000-0000-0000-0000-000000000000/00000000-0000-0000-0000-000000000000/prod/history?unified=false&limit=50" \ -H "Authorization: Bearer $ZNYX_TOKEN"
Response
application/json
Successful Response
null
Schema: any
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenant_id#path | string | required | - |
| app_id#path | string | required | - |
| agent_id#path | string | required | - |
| env#path | string | required | - |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
any
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | - |
| 403 | Token does not have org access (wrong org_id, or insufficient role). | - |
| 404 | Resource does not exist in this org. | - |